{% extends 'base.html' %}

{% block meta %}
<title>Buku</title>
{% endblock meta %}

{% block content %}
<style>
    .table-hover tbody tr:hover {
    background-color:#f3b2b2;
    }

    .text-input{
    width: 100%;
    margin-left: 2rem;
    }

    #buku{
    border: none;
    color: #df5b5b;
    }

    #keyword {
    width: 80%;
    border-bottom: 2px solid rgba(223, 26, 26, 0.952);
    }
</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<div class="content">
    <div class="box">
        <p id = "p">What's Your Favorite Book?</p>
    </div>
    <br><br>
    <div class="row">
        <div class="col">
            <div class="text-input">
                <input class="form-control mr-sm-2" id="keyword" placeholder="Input a Keyword"> 
                <br>
            </div>
            <table class="table table-hover table-responsive-lg" style="width: 100%;">
                <thead style="background-color:#D70101;">
                    <tr>
                        <th>Judul</th>
                        <th>Penulis</th>
                        <th>Cover</th>
                    </tr>
                </thead>
                <tbody id="daftar_isi">

                </tbody>
                        
            </table>  
        </div>
    </div>
    
    
</div>
<script type="text/javascript">
    var input = 'f';
        // console.log(input);

        //panggil dengan teknik AJAX
        $.ajax({
            url: '/data?q=' + input,
            type: "GET",
            success : function(data) {
                // console.log(data);
                var array_items = data.items;
                // console.log(array_items);
                $("#daftar_isi").empty();
                for(i=0; i < array_items.length; i++) {
                    var judul = array_items[i].volumeInfo.title;
                    var authors = array_items[i].volumeInfo.authors;
                    // var harga = array_items[i].saleInfo.retailPrice.amount;
                    var link = array_items[i].volumeInfo.infoLink;
                    var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_isi").append(
                        "<tr><td><a href= "+ link + ">" + judul+ "</a></td><td>" + authors +"<td><img src="+ gambar + "></td></tr>"   
                    )
                   
                    console.log(judul);
                }
            }
        });

    $("#keyword").keyup( function() {
        var input = $("#keyword").val();
        // console.log(input);

        //panggil dengan teknik AJAX
        $.ajax({
            url: '/data?q=' + input,
            type: "GET",
            success : function(data) {
                // console.log(data);
                var array_items = data.items;
                // console.log(array_items);
                $("#daftar_isi").empty();
                for(i=0; i < array_items.length; i++) {
                    var judul = array_items[i].volumeInfo.title;
                    var authors = array_items[i].volumeInfo.authors;
                    // var harga = array_items[i].saleInfo.retailPrice.amount;
                    var link = array_items[i].volumeInfo.infoLink;
                    var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_isi").append(
                        "<tr><td><a href= "+ link + ">" + judul+ "</a></td><td>" + authors +"<td><img src="+ gambar + "></td></tr>"  
                    )
                   
                    console.log(judul);
                }
            }
        });
    });
</script>
{% endblock content %}

